<template>

<div>
  
  <div  class="topnav" id="navbar">
    
    <button id="login"  @click="loginMove" type="button" class="btn btn-light">Login</button>
    <button @click="homebtn" type="button" class="btn btn-light">Home</button>
    <button id="logout"  @click="logout" type="button" class="btn btn-light">Logout</button>

    </div>
   </div>
</template>
<script>
import axios from 'axios'
import {mapActions, mapState , mapGetters} from 'vuex'

export default{
  name:'Navside',
   
    data(){
      return{
        
      }
      
    },
   computed:{
    
    ...mapState('Authstore',['logininfo'])
    
   },

    methods:{
      ...mapActions('Authstore',['removelogininfo']),
      loginMove(){
        if(localStorage.getItem('logininfo')){
       
          this.$router.push({
              name:'homewithoutauth'
            })
        }else{
          this.$router.push({
              name:'LoginPage'
            })
        }
      },
      homebtn(){
        if(localStorage.getItem('logininfo')){
          this.$router.push({
              name:'homewithoutauth'
            })
        }else{this.$router.push({
              name:'home'
            })}
        
      },
      logout(){
      
      
          axios.post('https://vms-api.rewardszone.net/api/logout',{
          headers:{Authorization: `Bearer ${localStorage.getItem('token')}`}  
        }).then(res=>
        {
          console.log(res);
          document.getElementById('logout').style.display="none"
          document.getElementById('login').style.display="inline"
        this.removelogininfo();
        if(res.status==200){ this.$router.push({
              name:'initial'
            })}
       
        })
  
      }
    }
    
}
document.addEventListener('DOMContentLoaded', function() {


 
  window.addEventListener('scroll', myFunctionForSticky);

  
  var navbar = document.getElementById("navbar");

  
  var sticky = navbar.offsetTop;



  function myFunctionForSticky() {
   
    if (window.pageYOffset >= sticky) {
      navbar.classList.add("sticky");
    } else {
      navbar.classList.remove("sticky");
    }
  }



  function myFunctionForResponsive() {
    navbar.classList.toggle('responsive');
  }
})



</script>


<style scoped>
.loginbtn{
  margin-left: 90%;
  
}
.homebtn{
  margin-left: 80%;
}
button{
width: 10%;
padding: 2px;
margin: 10px;
}
#logout{
  display: none;
}
#login{
  display: inline;
}
</style>
